%if 0%{?el7}
%define dist .el7
%endif

Name:           nhocr
Version:        0.22
Release:        4%{?dist}
Summary:        NHocr is a command line OCR (Optical Character Recognition) program for Japanese language, etc.

Group:          Applications/Multimedia
License:        ASL2.0
URL:            http://sourceforge.jp/projects/nhocr/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:        http://sourceforge.jp/projects/nhocr/downloads/61902/%{name}-%{version}.tar.gz

BuildRequires:	O2-tools-devel
BuildRequires:	freetype-devel
BuildRequires:  gcc gcc-c++

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
NHocr is a command line OCR (Optical Character Recognition) program for Japanese language, etc.
It has been designed to recognize machine-printed Japanese characters and some ASCII characters/symbols
in an image. NHocr is probably the first Open Source Japanese OCR software (offline, machine-printed),
except some experimental, partial codes open to academic communities. 

%package devel
Group:		Development/Libraries
Summary:	Libraries for %{name}

%description devel
%{summary}.

%prep
%setup -q

%build
%configure --enable-gramd --datadir=%{_datadir}/%{name}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README* docs
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.22-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.22-3
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.22-2
- Rebuilt for fc22

* Tue Jun  4 2013 momo-i <webmaster@momo-i.org> - 0.21-1
- Initial rpm release.
